> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vatic.trading/llms.txt
> Use this file to discover all available pages before exploring further.

# Latest TWAP Report

> Beta endpoint returning the latest Chainlink TWAP report for an asset and 30s/60s lookback window.

Returns the latest Chainlink TWAP report for an asset and TWAP window.

```bash theme={null}
curl "https://api.vatic.trading/api/v1/twap/latest?asset=btc&window=30"
```


## OpenAPI

````yaml GET /api/v1/twap/latest
openapi: 3.1.0
info:
  title: Vatic API
  version: 1.0.0
  description: >-
    Polymarket price targets, Hyperliquid prediction market data, market
    timestamps, fee calculators, and order management for systematic prediction
    market trading.
servers:
  - url: https://api.vatic.trading
    description: Production
security: []
paths:
  /api/v1/twap/latest:
    get:
      tags:
        - Chainlink TWAP
      summary: Latest Chainlink TWAP report
      description: >-
        Beta endpoint returning the latest Chainlink TWAP report for an asset
        and 30s/60s lookback window.
      operationId: getTwapLatest
      parameters:
        - name: asset
          in: query
          required: true
          schema:
            type: string
            enum:
              - btc
              - eth
              - sol
              - xrp
              - hype
              - doge
              - bnb
        - name: window
          in: query
          required: true
          schema:
            type: integer
            enum:
              - 30
              - 60
      responses:
        '200':
          description: Latest TWAP report
          content:
            application/json:
              example:
                asset: btc
                symbol: btc/usd
                windowSeconds: 30
                value: '65000.5'
                valueE18: '65000500000000000000000'
                observedAt: '2026-08-07T06:05:00.000Z'
                source: chainlink_twap
        '400':
          description: Invalid asset or window
        '502':
          description: Chainlink upstream error
        '503':
          description: Chainlink upstream throttled

````